@import url('https://fonts.googleapis.com/css2?family=DM+Sans:opsz,wght@9..40,400;9..40,500;9..40,600;9..40,700&display=swap');

body{
    color: #2E323E;
}
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: DM Sans;
}
body{
    padding: 24px 33px;
}
td[contenteditable]:focus, input:focus, select:focus{
    outline: 2px solid #4C76EB;
}
/*heading*/
h4{
    font-size: 18px;
    font-weight: 700;
    margin-bottom: 8px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    line-height: 166%;
    width: 100%;
}

/*filters*/
.filter_active .reset{
    visibility: visible;
}
.reset{
    color: #E26464;
    font-size: 14px;
    font-weight: 500;
    display: flex;
    align-items: center;
    justify-content: space-between;
    cursor: pointer;
    visibility: hidden;
}
.reset2{
    cursor: pointer;
    transition: 0.2s;
    color: #E26464;
    font-size: 14px;
    font-weight: 500;
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(-50%);
    visibility: hidden;
}
.reset2:hover{
    opacity: 0.5;
}
.reset:hover{
    opacity: 0.5;
}

.rel{
    position: relative;
}
.rel input:not(:placeholder-shown) + .reset2{
    visibility: visible;
}

.find{
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    flex-flow: row;
    flex-wrap: wrap;
}
.reset img{
    width: 18px;
    height: 18px;
    margin-right: 4px;
}
.findby{
    display: flex;
    flex-direction: column;
    gap:16px;
}
.filters{
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    column-gap:20px;
    row-gap:15px;
    align-items: center;
}

.filters div span{
    font-size: 12px;
    display: block;
    margin-bottom: 4px;
    text-transform: capitalize;
    color: #767B89;
}


.findby{
    margin-bottom: 24px;
}
.findby input{
    width: 328px;
    height: 40px;
    border-radius: 16px;
    border:1px solid #E1E1E1;
    padding: 0 15px;
    font-size: 14px;
    color: #2E323E;
    max-width: 100%;
    padding-left: 48px;
    padding-right: 60px;
    background-image: url('../img/find.svg');
    background-repeat: no-repeat;
    background-size: 18px;
    background-position: 20px;
    height: 50px;
}
.findby input::placeholder{
    color: #767B89;
    opacity: 1;
}
.findby select{
    width: 100%;
    height: 40px;
    border-radius: 16px;
    border:1px solid #E1E1E1;
    padding: 0 16px;
    font-size: 14px;
    color: #2E323E;
    max-width: 152px;
    background-color: transparent;
    background-image: url('../img/down.svg');
    background-repeat: no-repeat;
    background-size: 18px;
    background-position: calc(100% - 20px);
    padding-right: 40px;
    overflow: auto;
    text-overflow: ellipsis;
    appearance:none;
    -webkit-appearance:none;
    height: 50px;
}
/*table*/

table span{
    display: block;
    height: 16px;
}
table span img{
    width: 16px;
    transition: 0.2s;
    cursor: pointer;
    height: 16px;
    object-fit: contain;
}
table span img:hover{
    opacity: 0.5;
}
table{
    border: 1px solid #E1E1E1;
    border-collapse: collapse;
    width: 100%;
    min-width: 800px;
    font-size: 14px;
    line-height: 142%;
    font-weight: 400;
}
table thead{
    position: sticky;
    top: 0;
}

table th{
    background: #F9FAFB;
    text-align: left;
    padding: 12px;
    border-bottom: 1px solid #E1E1E1;
    font-weight: 400;
}
table td{
    padding: 12px;
    border-bottom: 1px solid #E1E1E1;
}

table th:last-child,table td:last-child{
    text-align: left;
    width: 80px;
}

table td:last-child input{
    display: none;
    border:2px solid #E1E1E1;
    background: white;
    appearance: none;
    -webkit-appearance:none;
    border-radius: 4px;
    cursor: pointer;
}
table td:last-child input:checked{
    background-color: #4C76EB;
    border-color: #4C76EB;
    background-image: url('../img/check.svg');
    background-repeat: no-repeat;
    background-size: 16px;
    background-position: center;
}

.table-wrap{
/*    overflow: auto;*/
    padding: 0 20px;
    width: calc(100% + 40px);
    margin-left: -20px;
}



.bulk_edit table td:last-child input{
    display: block;
    width: 16px;
    height: 16px;
}
.bulk_edit table td:last-child span{
    display: none;
}

.bulk_edit .bulk{
    display: none;
}
.bulk_edit .bulk_cancel{
    display: block;
}
.bulk_edit .add_new button{
    display: none;
}
.bulk_edit .add_new span{
    display: inline-block;
}

/*buttons*/
.btn{
    padding: 15px 20px;
    border-radius: 16px;
    background: #4C76EB;
    border:1px solid #4C76EB;
    font-size: 14px;
    font-weight: 500;
    line-height: 142%;
    transition: 0.2s;
    color: white;
    cursor: pointer;
    height: 50px;
}
.btn:hover{
    opacity: 0.5;
}
.btn.red{
    border-color: #E26464;
    color: #E26464;
    background: white;
}
.btn.blue{
    border-color: #4C76EB;
    color: #4C76EB;
    background: white;
}

.add_new{
    text-align: left;
    margin-top: 16px;
}

.add_new span{
    filter:grayscale(1);
    cursor: not-allowed;
    opacity: 0.5;
    display: none;
}
.add_new span.active{
    filter: unset;
    cursor: pointer;
    opacity: 1;
}
.add_new span:hover{
    opacity: 0.5;
}


.save_btn:hover{
    opacity: 0.5;
}


.bulk{
    color: #4C76EB;
    cursor: pointer;
    text-decoration: none;
}
.bulk:hover{
    text-decoration: underline;
}
.bulk_cancel{
    color: #4C76EB;
    font-weight: 400;
    cursor: pointer;
    text-decoration: none;
    display: none;
}
.bulk_cancel:hover{
    text-decoration: underline;
}